Subject: bug#37843: closed (Re: bug#37911: Cannot build a system with colord-service.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Nov 2019 14:13:03 +0000

Your bug report

#37911: 'ColorManager' D-Bus service (colord) fails to start

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37911: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37911
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37911: Cannot build a system with colord-service.
From: Pierre Langlois <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: Jack Hill <[email-masked]>, [email-masked], Pierre Langlois <[email-masked]>, [email-masked]
Date: Sat, 02 Nov 2019 14:11:46 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ludo,

Ludovic Courtès writes:

> Hi Jack and all,
>
> Ludovic Courtès <[email-masked]> skribis:
>
>> Jack Hill <[email-masked]> skribis:
>
> [...]
>
>>> I did spot another issue with colord since the recent core-updates
>>> merge: https://issues.guix.gnu.org/issue/37843 It seems like it is no
>>> longer being started automatically via dbus?
>>
>> Indeed, stracing dbus-daemon while going to the GNOME settings panel,
>> “Color” tag, I see:
>>
>> 459   sendmsg(48, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\3\1\1\213\0\0\0\3\0\0\0m\0\0\0\6\1s\0\5\0\0\0:1.95\0\0\0\4\1s\0'\0\0\0org.freedesktop.DBus.Error.AccessDenied\0\5\1u\0\2\0\0\0\10\1g\0\1s\0\0\7\1s\0\24\0\0\0org.freedesktop.DBus\0\0\0\0", iov_len=128}, {iov_base="\206\0\0\0Connection \":1.95\" is not allowed to own the service \"org.freedesktop.ColorManager\" due to security policies in the configuration file\0", iov_len=139}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL <unfinished ...>
>>
>> So something somewhere is unhappy.
>
> Commit 33f9778bc83086837b99e5c5e99cd514cb0d154e fixes this and colord
> now starts correctly again.
>
> I believe that should also fix the “night light” feature in GNOME.  I
> tested it in a VM but it was hard to tell if it was working.

I can confirm it's working for me on GNOME on my thinkpad! I can use the
night light settings and the laptop screen was detected in the "Color"
section of the settings. And I can see the colord daemon is running.

This is awesome, thank you!

Marking 37911 as done, I'll let Jack close 37843 if he's happy with it.

Pierre

Subject: GNOME night light doesn't change colors with GNOME 3.30
From: Jack Hill <[email-masked]>
To: [email-masked]
Date: Sun, 20 Oct 2019 22:54:53 -0400 (EDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

After the recent core-updates merge which included GNOME 3.30, it appears 
the the night light feature, which makes the screen colors warmer, doesn't 
seem to work. It appears to activate fine via the setting and via the 
timer, but the screen colors don't change. It also appears that colord 
isn't running, which I suspect is related.

$ guix describe
Generation 74	Oct 18 2019 21:59:02	(current)
   guix 545ff7b
     repository URL: https://git.savannah.gnu.org/git/guix.git
     branch: master
     commit: 545ff7b7841ddae9c73345ab5c6af42aadbda6e3

;; config.scm
;; This is an operating system configuration template
;; for a "desktop" setup with GNOME and Xfce where the
;; root partition is encrypted with LUKS.

(use-modules (gnu) (gnu system nss) (gnu services xorg)
 	     (gnu packages linux))
(use-service-modules desktop)
(use-package-modules certs gnome scanner security-token)

(operating-system
  (host-name "alperton")
  (timezone "America/New_York")
  (locale "en_US.utf8")

  (bootloader (bootloader-configuration
 	      (bootloader grub-bootloader)
 	      (target "/dev/sda")))

  ;; Specify a mapped device for the encrypted root partition.
  ;; The UUID is that returned by 'cryptsetup luksUUID'.
  (mapped-devices
   (list (mapped-device
 	 (source (uuid "f7776767-70c9-44e3-9973-c1334d301348"))
 	 (target "alperton_root")
 	 (type luks-device-mapping))))

  (file-systems (cons
 		(file-system
 		 (device (file-system-label "alperton_root"))
 		 (mount-point "/")
 		 (type "ext4")
 		 (dependencies mapped-devices))
 		%base-file-systems))

  (swap-devices (list "/root/swap"))

  (users (cons (user-account
 	       (name "jackhill")
 	       (comment "Jack Hill")
 	       (group "users")
 	       (supplementary-groups '("wheel" "netdev"
 				       "audio" "lp" "video"))
 	       (home-directory "/home/jackhill"))
 	      %base-user-accounts))

  ;; This is where we specify system-wide packages.
  (packages (cons* nss-certs         ;for HTTPS access
 		  fuse-exfat
 		  gvfs              ;for user mounts
 		  %base-packages))

  ;; Add GNOME and/or Xfce---we can choose at the log-in
  ;; screen with F1.  Use the "desktop" services, which
  ;; include the X11 log-in service, networking with
  ;; NetworkManager, and more.
  (services (cons* (service gnome-desktop-service-type)
 		  (bluetooth-service)
 		  (simple-service 'custom-udev-rules udev-service-type (list sane-backends libu2f-host))
 		  %desktop-services))

Best,
Jack